> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a workspace credential



## OpenAPI

````yaml /openapi.json delete /api/v1/workspaces/{workspace}/credentials
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/credentials:
    delete:
      summary: Delete a workspace credential
      operationId: deleteWorkspaceCredential
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: connector
          in: query
          required: true
          schema:
            type: string
        - name: key
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialDeleteResult'
      security:
        - cookieAuth: []
components:
  schemas:
    CredentialDeleteResult:
      type: object
      properties:
        deleted:
          type: boolean
      required:
        - deleted
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````